Get List Of Addresses Information (v2)¶
This is the V2 address list endpoint. V2 returns a streamlined response containing address-level metadata only. To query asset balances for a specific address, use Get Address Information (v2). We recommend using V2 for all new integrations.
Endpoint¶
Request¶
Path Parameters¶
| Field | Type | Description |
|---|---|---|
| b_id Required | String | Business line ID |
| wallet_code Required | String | Wallet ID |
Query Parameters¶
| Field | Type | Description |
|---|---|---|
| offset Optional | Integer | Pagination offset. Must be 0 or greater. Default: 0 |
| limit Optional | Integer | Number of results per page. Maximum: 1000. Default: 10 |
Response¶
Response Body¶
| Field | Type | Description |
|---|---|---|
| code | Integer | Response code (0 = success) |
| message | String | Response message |
| successful | Boolean | Whether the request was successful |
| data | Object | Below shows the list of items inside the data object |
data (object)
| Field | Type | Description |
|---|---|---|
| offset | Integer | Pagination offset |
| limit | Integer | Pagination limit |
| total | Integer | Total number of addresses |
| list | Array | List of addresses (see list array details below) |
list (array of objects)
Each item in list:
| Field | Type | Description |
|---|---|---|
| address | String | Cactus On-chain address |
| address_type | String | Address type values: NORMAL_ADDRESS, CONSOLIDATED_ADDRESS |
| description | String | Address description |
Response Example¶
{
"code": 0,
"message": "",
"successful": true,
"data": {
"offset": 0,
"limit": 2,
"list": [
{
"address": "TAKmMvdnBDuSYCH6iqWmqDSfMcdvk6bRdR",
"address_type": "NORMAL_ADDRESS",
"description": ""
},
{
"address": "TCEnQ7PBdU3nHQRAWzYh3HkxumUEXVfAbM",
"address_type": "NORMAL_ADDRESS",
"description": ""
}
],
"total": 13,
"metadata": null
}
}